> For the complete documentation index, see [llms.txt](https://docs.cityversetycoon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cityversetycoon.com/wallets/how-to-withdraw-usdc.md).

# How to Withdraw USDC

\
Follow these steps to withdraw USDC from your In-Game Wallet:CommentShare feedback on the editor

1. CommentShare feedback on the editor**Follow the Steps in** How to Export In-Game Wallet Private Key: Ensure you have your private key ready.
2. CommentShare feedback on the editor**Paste the Private Key**: Enter your private key in the designated text box.
3. CommentShare feedback on the editor**Connect to In-Game Wallet**: Click the "Connect to In-Game Wallet" button.
4. CommentShare feedback on the editor**View USDC Balance**: You should see the USDC balance of your In-Game Wallet.
5. CommentShare feedback on the editor**Transfer USDC**:

CommentShare feedback on the editor

* CommentShare feedback on the editorClick "Transfer USDC"
* CommentShare feedback on the editorIn the popup, input the address of the external wallet you want to withdraw your funds to and the amount you want to withdraw.
* CommentShare feedback on the editorClick "Transfer".

CommentShare feedback on the editor**Important Note**: Ensure your In-Game Wallet has enough ETH to cover the network gas cost. If not, please follow the guide on [How to transfer ETH to your In-Game Wallet](https://app.gitbook.com/o/uhUPxZIBNFyQHh106vfM/s/5yCzf5Hi5CkTzDlTaBKO/~/changes/9/marketplace/wallets/how-to-deposit-eth-need-double-content-check) and learn more about gas fees on the Base network.CommentShare feedback on the editor

* CommentShare feedback on the editor**Wait for Transaction Verification**: It may take a few seconds for the transaction to be verified on the blockchain.
* CommentShare feedback on the editor**Completion**: Once the transaction is complete, the USDC will be moved from your In-Game Wallet to the new wallet address you provided.

CommentShare feedback on the editor![](https://www.gitbook.com/cdn-cgi/image/width=760,dpr=2,format=auto/https%3A%2F%2Fcontent.gitbook.com%2Fcontent%2FFADAttlt1Ul4fN4vCYs9%2Fblobs%2F0jyDFzFgGdlINam4SqwD%2Fwithdraw-usdc-flow22.gif)<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cityversetycoon.com/wallets/how-to-withdraw-usdc.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
